image: node:10 # change to match your node version

cache:
  paths:
    - node_modules/

before_script:
  - rm -rf build
  - npm install

pages:
  stage: deploy
  script:
    - CI=false npm run build
    - rm -rf public
    - mv build public
  artifacts:
    paths:
      - public
  only:
    - master
